Name: gegl-vala
Version: 0.0.4
Release: alt3
Summary: a Vala binding for GEGL
License: LGPL
Group: Development/Other
URL: http://ftp.gnome.org/pub/GNOME/sources/gegl-vala
Packager: Vladimir Lettiev <crux@altlinux.ru>

Source: %name-%version.tar
Patch0: makefile.patch
Patch1: makefile-samples.patch
Patch2: configure.patch

BuildArch: noarch
BuildPreReq:   rpm-build-gnome
BuildRequires: autogen gnome-common libvala-devel libgegl-devel glib2-devel
BuildRequires: libbabl-devel

%description
This is the vapi for GEGL. The GEGL API coverrage is not complete due
to API stability and maturity issues.

Currently, it is not yet possible to write GEGL Operation from
Vala. You can build a pipeline and process it.

See http://live.gnome.org/Vala for more details about Vala programming
language

%prep
%setup -q
%patch0 -p1
%patch1 -p2
%patch2 -p2
# remove stamps
find . -name '*.stamp' -delete

%build
%autoreconf
%configure
%make

%install
%makeinstall_std

%files
%_datadir/vala-0.10/vapi/*
%doc AUTHORS COPYING README

%changelog
* Wed Nov 17 2010 Vladimir Lettiev <crux@altlinux.ru> 0.0.4-alt3
- Fixed install with new vala
- noarch

* Tue Apr 13 2010 Vladimir Lettiev <crux@altlinux.ru> 0.0.4-alt2
- Fix build of samples with new gegl/babl

* Fri Mar 05 2010 Vladimir Lettiev <crux@altlinux.ru> 0.0.4-alt1
- release 0.0.4
- update patches
- change url

* Mon May 25 2009 Vladimir Lettiev <crux@altlinux.ru> 0.0.2-alt2.r2854
- unset default version of automake (1.9) in autogen.sh
  to fix build with any newer automake version

* Thu Apr 09 2009 Vladimir Lettiev <crux@altlinux.ru> 0.0.2-alt1.r2854
- initial build


